Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.transport.local
Class LocalTransport

    java.lang.Object
      |
      +--org.apache.axis.client.Transport
            |
            +--org.apache.axis.transport.local.LocalTransport

public class LocalTransport
extends Transport

A Transport which will cause an invocation via a "local" AxisServer. Serialization will still be tested, as the requests and responses pass through a String conversion (see LocalSender.java) - this is primarily for testing and debugging. This transport will either allow the LocalSender to create its own AxisServer, or if you have one you've configured and wish to use, you may pass it in to the constructor here.

Author:
  Rob Jellinghaus (robj@unrealities.com), Doug Davis (dug@us.ibm.com), Glen Daniels (gdaniels@allaire.com)

Field Summary
`static java.lang.String` | `LOCAL_SERVER`
`static java.lang.String` | `REMOTE_SERVICE`

Fields inherited from class org.apache.axis.client.Transport
`transportName, url`

Constructor Summary
`LocalTransport()` No-arg constructor, which will use an AxisServer constructed by the LocalSender (see LocalSender.java).
`LocalTransport(AxisServer server)` Use this constructor if you have a particular server kicking around (perhaps which you've already deployed useful stuff into) which you'd like to use.

Method Summary
`void` | `setRemoteService(java.lang.String remoteServiceName)` Use this to indicate a particular "remote" service which should be invoked on the target AxisServer.
`void` | `setupMessageContextImpl(MessageContext mc, Call call, AxisEngine engine)` Set up any transport-specific derived properties in the message context.

Methods inherited from class org.apache.axis.client.Transport
`getTransportName, getUrl, processReturnedMessageContext, setTransportName, setupMessageContext, setUrl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOCAL_SERVER

    public static final java.lang.String LOCAL_SERVER

### REMOTE_SERVICE

    public static final java.lang.String REMOTE_SERVICE

Constructor Detail

### LocalTransport

    public LocalTransport()

  No-arg constructor, which will use an AxisServer constructed by the LocalSender (see LocalSender.java).

### LocalTransport

    public LocalTransport(AxisServer server)

  Use this constructor if you have a particular server kicking around (perhaps which you've already deployed useful stuff into) which you'd like to use.
  Parameters:
    `server` - an AxisServer which will bubble down to the LocalSender

Method Detail

### setRemoteService

    public void setRemoteService(java.lang.String remoteServiceName)

  Use this to indicate a particular "remote" service which should be invoked on the target AxisServer. This can be used programatically in place of a service-specific URL.
  Parameters:
    `remoteServiceName` - the name of the remote service to invoke

### setupMessageContextImpl

    public void setupMessageContextImpl(MessageContext mc,
                                        Call call,
                                        AxisEngine engine)

  Set up any transport-specific derived properties in the message context.
  Overrides:
    `setupMessageContextImpl` in class `Transport`
  Parameters:
    `context` - the context to set up
    `message` - the client service instance
    `engine` - the engine containing the registries

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.